import { MinecraftEffectTypes } from "@minecraft/server";
import { isInWater } from "./functions";

export const items = {
  "heavy:seanite_helmet": { effect: MinecraftEffectTypes.waterBreathing, level: 0, duration: 40, condition: isInWater },
  "heavy:seanite_chestplate": { effect: MinecraftEffectTypes.resistance, level: 0, duration: 40, condition: isInWater },
  "heavy:seanite_leggings": { command: "effect @s mining_fatigue 0 0 false", condition: isInWater },
  "heavy:seanite_boots": { effect: MinecraftEffectTypes.haste, level: 1, duration: 40, condition: isInWater }
};

export const armorSlots = {
  "helmet": "slot.armor.head",
  "chestplate": "slot.armor.chest",
  "leggings": "slot.armor.legs",
  "boots": "slot.armor.feet"
};
